/* Setup.cmd for HAOS2 Test Drive */
/* Hilgraeve Inc. 1995            */

/*  $Revision: 1.6 $                  */
/*  $Date: 1995/10/13 10:28:28 $                      */

PARSE ARG arg1

/* Load RexxUtil functions */
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

/* Clear screen */
rv = SysCls()

/*Check for setup.cmd */
rc = SysFileTree("setup.cmd", stem, 'O')
IF stem.0 = 0 THEN
	SIGNAL err
say ' '
say ' '
say 'Loading...'
say ' '
say ' '

Init:
	desktop = '<WP_DESKTOP>'
	haofolder = '<HAOS2>'

DoLists:
	
	/* Get HAOS2 directory */
	szAppPath = Directory()

	/* Create lists directory */
	say 'Creating lists directory...'
	szLists = szAppPath || '\Lists'
	'@echo off'
	szCommand = 'md' szlists
	szCommand

	/* Copy list files to lists directory */
	say 'Copying list files...'
	'@echo off'
	szCommand = 'copy' szAppPath'\os2.bbs' szLists
	szCommand
	szCommand = 'copy' szAppPath'\usbbs136.lst' szLists
	szCommand
	szCommand = 'copy' szAppPath'\sbiq.lst' szLists
	szCommand
	szCommand = 'copy' szAppPath'\pocia.txt' szLists
	szCommand

	/* Delete list files */
	say 'Deleting lists files...'
	'@echo off'
	szCommand = 'del' szAppPath'\os2.bbs'
	szCommand
	szCommand = 'del' szAppPath'\usbbs136.lst'
	szCommand
	szCommand = 'del' szAppPath'\sbiq.lst'
	szCommand
	szCommand = 'del' szAppPath'\pocia.txt'
	szCommand

DoObjects:
	/* Create HAOS2 folder */
	say 'Creating HAOS2 folder...'
	szObjectID = haofolder
	szTitle = 'HyperACCESS' || '0D'x'0A'x  || 'for OS/2 Test Drive'
	szIconfile = szAppPath'\npfold1.ico'
	szIconnfile = szAppPath'\npfold2.ico'
	szIconViewPos = '18,32,70,40'
	szLocation = desktop
	szType = 'WPFolder'
	szSetup = 'TITLE=' || szTitle || ';ICONFILE=' || szIconfile || ';ICONNFILE=1,' || szIconnfile,
				|| ';ICONVIEWPOS=' || szIconViewPos || ';OBJECTID=' || szObjectID
	call CreateObject

	/* Create HAOS2 object */
	say 'Creating HyperACCESS program object...'
	szType = 'WPProgram'
	szTitle = 'HyperACCESS' || '0D'x'0A'x  || 'for OS/2 Test Drive'
	szLocation = haofolder
	szExe = szAppPath || '\HAOS2.EXE'
	szAssocFilter = '*.HAO'
	szAssocType = 'HyperACCESS for OS/2'
	szIconPos = '5,25'
	szStartup = szAppPath
	szCCView = 'YES'
	szObjectID = '<HAOS2EXE_600>'
	szSetup = 'TITLE=' || szTitle || ';EXENAME=' || szExe || ';STARTUPDIR=' || szStartup,
				|| ';ICONPOS=' || szIconPos || ';CCVIEW=' || szCCView || ';ASSOCFILTER=',
				|| szAssocFilter || ';ASSOCTYPE=' || szAssocType || ';OBJECTID=' || szObjectID
	call CreateObject

	/* Create HyperViewer object */ 
	say 'Creating HyperViewer program object...'
	szType = 'WPProgram'
	szTitle = 'HyperViewer'
	szLocation = haofolder
	szExe = szAppPath || '\HAVIEW.EXE'
	szAssocFilter = '*.GIF'
	szIconPos = '17,25'
	szStartup = szAppPath
	szObjectID = '<HAOS2_VIEWER>'
	szSetup = 'TITLE=' || szTitle || ';EXENAME=' || szExe || ';STARTUPDIR=' || szStartup,
				|| ';ICONPOS=' || szIconPos || ';ASSOCFILTER=' || szAssocFilter || ';OBJECTID=' || szObjectID
	call CreateObject

	/* Create Convert object */
/*	say 'Creating Conversion program object...'
	szType = 'WPProgram'
	szTitle = 'HyperACCESS' || '0D'x'0A'x || 'Conversion Program'
	szLocation = haofolder
	szExe = szAppPath || '\CONVERT.EXE'
	szIconPos = '30,25'
	szStartup = szAppPath
	szObjectID = '<HAOS2_CONVERT>'
	szSetup = 'TITLE=' || szTitle || ';EXENAME=' || szExe || ';STARTUPDIR=' || szStartup,
				|| ';ICONPOS=' || szIconPos || ';OBJECTID=' || szObjectID
	call CreateObject
*/

	/* Create lists shadow in HAOS2 folder */
	say 'Creating lists shadow...'
	szIconPos = '30,10'
	szType = 'WPShadow'
	szTitle = 'Lists'
	szShadow = szLists
	szLocation = haofolder
	szObjectID = '<HAOS2_Lists>'
	szSetup = 'ICONPOS=' || szIconPos || ';SHADOWID=' || szShadow || ';OBJECTID=' || szObjectID
	call CreateObject

	/* Create Uninstall object */
	say 'Creating Uninstall program object...'
	szType = 'WPProgram'
	szTitle = 'HyperACCESS' || '0D'x'0A'x || 'Uninstall'
	szLocation = haofolder
	szExe = szAppPath || '\UNINST.CMD'
	szIconFile = szAppPath || '\UNINST.ICO'
	szIconPos = '30,25'
	szStartup = szAppPath
	szObjectID = '<HAOS2_UNINST>'
	szSetup = 'TITLE=' || szTitle || ';EXENAME=' || szExe || ';STARTUPDIR=' || szStartup,
				|| ';ICONPOS=' || szIconPos || ';ICONFILE=' || szIconFile || ';OBJECTID=' || szObjectID
	call CreateObject

	/* Create Readme object */
	say 'Creating Readme object...'
	szType = 'WPProgram'
	szTitle = 'HyperACCESS' || '0D'x'0A'x || 'Readme'
	szLocation = haofolder
	szExe = 'E.EXE'
	szIconFile = szAppPath || '\README.ICO'
	szParameters = szAppPath || '\README.TXT'
	szIconPos = '44,25'
	szStartup = szAppPath
	szObjectID = '<HAOS2_README>'
	szSetup = 'TITLE=' || szTitle || ';EXENAME=' || szExe || ';STARTUPDIR=' || szStartup || ';PARAMETERS=' || szParameters,
				|| ';ICONPOS=' || szIconPos || ';ICONFILE=' || szIconFile || ';OBJECTID=' || szObjectID
	call CreateObject

	/* Create HyperACCESS Host object */
	say 'Creating Host object...'
	szType = 'WPProgram'
	szTitle = 'HyperACCESS' || '0D'x'0A'x || 'Host Mode'
	szLocation = haofolder
	szExe = szAppPath || '\HAOS2.EXE'
	szParameters = szAppPath || '\HAHOST.HAO'
	szIconFile = szAppPath || '\HOST2.ICO'
	szIconPos = '5,10'
	szStartup = szAppPath
	szObjectID = '<HAOS2_HOST>'
	szSetup = 'TITLE=' || szTitle || ';EXENAME=' || szExe || ';STARTUPDIR=' || szStartup || ';PARAMETERS=' || szParameters,
				|| ';ICONPOS=' || szIconPos || ';ICONFILE=' || szIconFile || ';OBJECTID=' || szObjectID
	call CreateObject

	/* Create HA Documents folder and doc objects */
	say 'Creating Documents folder object...'
	szObjectID = '<HAOS2_DOCS>'
	szTitle = 'HyperACCESS' || '0D'x'0A'x  || 'Documents'
	szLocation = haofolder
	szIconPos = '17,10'
	szType = 'WPFolder'
	szSetup = 'TITLE=' || szTitle ||  ';ICONPOS=' || szIconPos || ';OBJECTID=' || szObjectID
	call CreateObject

	/* Create Hosthelp.txt object */
	szType = 'WPProgram'
	szTitle = 'HyperACCESS' || '0D'x'0A'x || 'Host Help'
	szLocation = '<HAOS2_DOCS>'
	szExe = 'E.EXE'
	szIconFile = szAppPath || '\README.ICO'
	szParameters = szAppPath || '\HOSTHELP.TXT'
	szIconPos = '5,8'
	szStartup = szAppPath
	szObjectID = '<HAOS2_HostHelp>'
	szSetup = 'TITLE=' || szTitle || ';EXENAME=' || szExe || ';STARTUPDIR=' || szStartup ';PARAMETERS=' || szParameters,
				|| ';ICONPOS=' || szIconPos || ';ICONFILE=' || szIconFile || ';OBJECTID=' || szObjectID
	call CreateObject

	/* Create APIHELP.TXT object */
	szType = 'WPProgram'
	szTitle = 'HyperACCESS' || '0D'x'0A'x || 'API Examples'
	szLocation = '<HAOS2_DOCS>'
	szExe = 'E.EXE'
	szIconFile = szAppPath || '\README.ICO'
	szParameters = szAppPath || '\APIHELP.TXT'
	szIconPos = '17,8'
	szStartup = szAppPath
	szObjectID = '<HAOS2_APIHelp>'
	szSetup = 'TITLE=' || szTitle || ';EXENAME=' || szExe || ';STARTUPDIR=' || szStartup ';PARAMETERS=' || szParameters,
				|| ';ICONPOS=' || szIconPos || ';ICONFILE=' || szIconFile || ';OBJECTID=' || szObjectID
	call CreateObject

  	/* Create API_REF.txt object */
	szType = 'WPProgram'
	szTitle = 'HyperACCESS' || '0D'x'0A'x || 'API Reference'
	szLocation = '<HAOS2_DOCS>'
	szExe = 'E.EXE'
	szIconFile = szAppPath || '\README.ICO'
	szParameters = szAppPath || '\API_REF.TXT'
	szIconPos = '30,8'
	szStartup = szAppPath
	szObjectID = '<HAOS2_APIREF>'
	szSetup = 'TITLE=' || szTitle || ';EXENAME=' || szExe || ';STARTUPDIR=' || szStartup ';PARAMETERS=' || szParameters,
				|| ';ICONPOS=' || szIconPos || ';ICONFILE=' || szIconFile || ';OBJECTID=' || szObjectID
	call CreateObject

	say ' '
	say 'HyperACCESS for OS/2 Test Drive installation complete.'
	say ' '
	say 'Thank you for trying HyperACCESS for OS/2.'
	say ' '
	SIGNAL Cleanup

CreateObject:
	/* Generic section to create desktop objects */
	rv = SysCreateObject(szType, szTitle, szLocation, szSetup, 'REPLACE')
	if rv = 0 THEN
		DO
			say ' '
			say 'Error: Failed to create' szTitle 'object.'
			say ' '
		END
	RETURN

Err:
	/* if not in installation directory */
	rc = SysCls()
	say ' '
	say ' '
	say ' '
	say ' '
	SAY 'Please log onto the drive that contains the HyperACCESS for OS/2'
	say 'Test Drive installation files and type SETUP'
	SAY ' '
	SIGNAL Cleanup

Cleanup:
	/* Drop RexxUtil functions */
	call SysDropFuncs

	EXIT

